{% extends "elections2021/base.html" %}
{% load wagtailcore_tags %}

{% block content %}

<div class="container container-default pt-4 pb-20">
  <div class="w-full lg:w-4/6 relative">

    <div class="floating-nav-wrapper hidden xl:block" id="floatingNavBarWrapper">
      <div class="floating-nav-panel mt-48" id="floatingNavBar">
        <div class="opener py-6 pb-16 px-11 bg-acidgreen text-white font-alt">
          RYCHLÁ NAVIGACE
        </div>
        <div class="inner float-panel-inner elevation-2">
          <ul>
            {% for section in page.content %}
              <li><a href="#{{ section.value.title|slugify }}">{{ section.value.title }}</a></li>
            {% endfor %}
          </ul>
        </div>
      </div>
    </div>
    <script>
      window.addEventListener("load", onLoadFunction);
      var anchorsArray = [];

      function placeUponId(id, space) {
        return document.getElementById(id).getBoundingClientRect().top + window.scrollY - space;
      }

      function onLoadFunction(e) {
        var anchorElemsArray;
        onResizeFunction();
        for (const entry of anchorsArray) {
          entry.menuitem.addEventListener("click", clickHandler);
        }

        function clickHandler(e) {
          e.preventDefault();
          var id = this.getAttribute("href").replace("#", "");
          //console.log(placeUponId(id, 20));
          scroll({
            top: placeUponId(id, 20),
            behavior: "smooth"
          });
        }


        window.addEventListener("resize", onResizeFunction);
      }

      function onResizeFunction(e) {
        var itemsProcessed = 0;
        var anchorElemsArray = document.getElementsByClassName("float-panel-inner")[0].querySelectorAll("li a");
        anchorsArray = [];
        anchorElemsArray.forEach(function(entry) {
          var id = entry.getAttribute("href").replace("#", "");
          anchorsArray.push({
            id: id,
            top: placeUponId(id, 200),
            menuitem: entry
          });
          itemsProcessed++;
          if (itemsProcessed === anchorElemsArray.length) {
            anchorsArray.reverse();
          }
        });
        //console.log(anchorsArray);
      }
      window.onscroll = function() {
        var top = window.pageYOffset || document.documentElement.scrollTop;
        var activereached = false;
        anchorsArray.forEach(function(entry) {
          entry.menuitem.classList.remove("active");
          entry.menuitem.classList.remove("passed");
          if (top >= placeUponId(entry.id, 200)) {
            if (activereached) entry.menuitem.classList.add("passed");
            else entry.menuitem.classList.add("active");
            activereached = true;
          }
        });
      };
    </script>


    <header class="w-full md:w-5/6">
      <div class="mt-10 md:mt-12">
        <h1 class="head-alt-md md:head-alt-lg head-alt-highlighted">{{ page.title }}</h1>
        <h2 class="head-alt-sm md:head-alt-md mb-20 mt-9">
          <div class="leading-tight">{{ page.leading }}</div>
        </h2>
      </div>
    </header>

    <div class="w-full md:w-5/6 mt-10 mb-5">
      <h3 class="head-alt-sm mb-5">{{ page.subtitle }}</h3>
      <div class="content-block">
        {{ page.body|richtext }}
      </div>
    </div>

    {% for block in page.content %}
      {% include_block block %}
    {% endfor %}

  </div>
</div>

{% endblock %}
